/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

import request from '@/router/axios'

export function findByTimeBetween(query) {
  return request({
    url: '/accuracyCalculation/table',
    method: 'post',
    data: query
  })
}

export function findByTimeBetweenDay(query) {
  return request({
    url: '/accuracyCalculation/tableDay',
    method: 'post',
    data: query
  })
}

export function findByTimeBetweenMonth(query) {
  return request({
    url: '/accuracyCalculation/tableMonth',
    method: 'post',
    data: query
  })
}

export function accuracyPassRateQueryForCharts(query) {
  return request({
    url: '/accuracyCalculation/realTimeCharts',
    method: 'post',
    data: query
  })
}

export function accuracyPassRateQueryForChartsDay(query) {
  return request({
    url: '/accuracyCalculation/realTimeChartsDay',
    method: 'post',
    data: query
  })
}
export function homePageShortAccuracy() {
  return request({
    url: '/accuracyCalculation/homePageShortAccuracy',
    method: 'get'
  })
}

  export function homePageUltraShortAccuracy() {
    return request({
      url: '/accuracyCalculation/homePageUltraShortAccuracy',
      method: 'get'
    })
}
